Subject: wu-ftp question...

From: [email-masked] (PHETPHONE D CHANTHAVONG)
Date: Wed, 04 Feb 1998 10:28:25 -0500

Hello all,
     
        I have created the FTP user accounts 'test1' & 'test2' with
        group 'ftptest', both are in the same group (ftptest).  
        The home directory for them is '/ftp/ftpusers/test' also the 
        upload directory for test1 & test2 users. As the rule on 
        ftpaccess file:
     
        upload /ftp/ftpusers /test       yes  test1  ftptest  0750 dirs   

       So, both users can upload file(s) and all files are uploaded will be 
       owned by test1, group ftptest with permission rwxr-x--- on every file. 
       This part here it works well.  
     
       What I want are 2 things:
       
       - When user 'test2' create a sub-directory under ~/test, the
         ownership of the sub-directory and any uploaded files should 
         be owned by 'test1', group 'ftptest'.  The uploaded file(s) are
         owned by 'test1', group 'ftptest', but the sub-directory is     
         owned by 'test2', why?

       - I want to deny 'delete' of any files & directory from ~test     
         directory from user 'test2', but user 'test1'.  So, user        
         'test2' allow upload or write, but not delete (remove).  
         How can I do it?
     
       Hope you understand my question... get me some help...
     
       Thanks,
       /Pat 
      
______p.s I am currently running wu-ftp-2.4(15) &
                                      wu-ftp-2.4.2-academ[beta-13]